cURL
curl -X GET "https://api.fitsociety.io/public/v1/reports/attendance-summary" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/reports/attendance-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/reports/attendance-summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"attendanceSummary": {
"dateFrom": "<string>",
"dateTo": "<string>",
"totals": {
"bookings": 123,
"persons": 123,
"confirmedBookings": 123,
"confirmedPersons": 123,
"waitingBookings": 123,
"pendingBookings": 123,
"cancelledBookings": 123
},
"byStatus": [
{
"status": "<string>",
"bookings": 123,
"persons": 123
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Reports
Get attendance summary
Requires attendance_summaries:read. Returns aggregate booking counts only.
GET
/
public
/
v1
/
reports
/
attendance-summary
cURL
curl -X GET "https://api.fitsociety.io/public/v1/reports/attendance-summary" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/reports/attendance-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/reports/attendance-summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"attendanceSummary": {
"dateFrom": "<string>",
"dateTo": "<string>",
"totals": {
"bookings": 123,
"persons": 123,
"confirmedBookings": 123,
"confirmedPersons": 123,
"waitingBookings": 123,
"pendingBookings": 123,
"cancelledBookings": 123
},
"byStatus": [
{
"status": "<string>",
"bookings": 123,
"persons": 123
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
⌘I